- VS Code 에서 .ts 파일 오픈 시 아래와 같은 경고 메시지 출력
Version mismatch! global tsc (1.0.3.0) != VS Code's language service (2.2.2). Inconsistent compile errors might occur


원인 : VS Code 에서는 최신 버전이 설치 되어 있지만 글로벌 설치된 TypeScript 가 버전이 낮음

해결 방법

  1. 기존 설치된 TypeScript 삭제 (폴더 삭제)
    - C:\Program Files (x86)\Microsoft SDKs\TypeScript
 
  2. 콘솔에서 아래와 같이 실행
    - npm install -g typescript@latest tsc@lastest
   
  3. TypeScript 버전 확인
    - tsc -v

안정적인 DNS서비스 DNSEver DNS server, DNS service
Posted by 키르히

댓글을 달아 주세요